light-mode-image
Learn
API ReferenceVerification request signers

Update a Verification request signer

Roles

adminverifier

Analytics Events

CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_UPDATE_STARTCREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_UPDATE_SUCCESSCREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_UPDATE_FAIL
PUT/v2/presentations/certificates/verifier-signers/{verifierSignerId}

Updates a Verification request signer by:

  • Providing a Verification Request Signer Certificate (VRSC) in PEM format that matches its Certificate Signing Request (CSR).
  • Activating or deactivating the VRSC signer. Only VRSC signers with a valid PEM certificate can be activated.
  • The certificatePem field becomes immutable after it's updated for the first time.

Only available in implementations using unmanaged (external) Verifier root CA certificates.

Analytic events

  • CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_UPDATE_START
  • CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_UPDATE_SUCCESS
  • CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_UPDATE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

verifierSignerId*string

Unique identifier of the Verification request signer.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v2/presentations/certificates/verifier-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "active": true  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "caType": "mattr",  "active": true,  "certificatePem": "string",  "certificateFingerprint": "string",  "certificateData": {    "commonName": "string",    "country": "string",    "notAfter": "2019-08-24T14:15:22Z",    "notBefore": "2019-08-24T14:15:22Z",    "subjectAlternativeNames": [      {        "type": 0,        "value": "string"      }    ]  }}

How would you rate this page?